curl --request GET \
--url https://api.example.com/utils/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/utils/schedules/{schedule_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/utils/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedule_id": "<string>",
"schedule_name": "<string>",
"schedule": {
"type": "cron",
"cron": "<string>",
"timezone": "<string>"
},
"reference_id": "<string>",
"config": {
"type": "NOTIFICATION",
"topic": "<string>",
"extra_data": {}
},
"enabled": true
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}Get a schedule
Retrieves a single schedule by its ID. The schedule must belong to the authenticated user’s organization.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
ID of the schedule to retrieve
Response
Successful Response
Response body for a schedule.
Schedule values are returned in their original timezone for user-friendly display.
ID of the schedule
Unique human readable name for the schedule
Cron-based schedule response with timezone-aware values.
The cron expression is dynamically converted from UTC back to the original timezone specified by the user for display purposes.
- CronScheduleResponse
- OneOffScheduleResponse
Show child attributes
Show child attributes
Reference ID (e.g. workflow config ID) held in Data Readiness resources
Schedule configuration (currently only NOTIFICATION is supported)
Show child attributes
Show child attributes
Whether the schedule is ready to be triggered
Was this page helpful?

